from machine import ADC,Pin
import time

Pin(26, Pin.IN) # GPIO26のピンで通信
sensor = ADC(0) # ADコンバータ1番を使う

uart = machine.UART(1,baudrate=9600,tx = machine.Pin(4),rx = machine.Pin(5))  # UART通信の設定
play_signal = bytearray([0x7E,0xFF,0x06,0x01,0x00,0x00,0x00,0xEF]) # 再生コマンド用の信号

while True: #繰り返し
    if (sensor.read_u16() < 25000): # センサーの値が25000以下なら
        uart.write(play_signal) # 再生コマンドを送る
    time.sleep(3) # 3秒待つ
